Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593230 - Add HLT instruction emulation to VMXAssist in Xen
Summary: Add HLT instruction emulation to VMXAssist in Xen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.5
Hardware: All
OS: Linux
low
urgent
Target Milestone: rc
: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 580945
Blocks: 514499
TreeView+ depends on / blocked
 
Reported: 2010-05-18 09:09 UTC by RHEL Product and Program Management
Modified: 2010-11-22 23:34 UTC (History)
15 users (show)

Fixed In Version: xen-3.0.3-105.el5_5.4
Doc Type: Bug Fix
Doc Text:
Due to the missing HLT (halt) instruction emulation in the VMXAssist real-mode emulator, certain versions of the SYSLINUX boot loader could have caused the guest operating system (domU) to stop responding. With this update, the HLT instruction emulation has been added, and all versions of SYSLINUX now boot properly.
Clone Of:
Environment:
Last Closed: 2010-07-08 09:31:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0515 normal SHIPPED_LIVE xen bug fix update 2010-07-08 09:31:08 UTC

Description RHEL Product and Program Management 2010-05-18 09:09:55 UTC
This bug has been copied from bug #580945 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 5 Jaromir Hradilek 2010-07-07 08:54:46 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Due to the missing HLT (halt) instruction emulation in the VMXAssist real-mode emulator, certain versions of the SYSLINUX boot loader could have caused the guest operating system (domU) to stop responding. With this update, the HLT instruction emulation has been added, and all versions of SYSLINUX now boot properly.

Comment 7 errata-xmlrpc 2010-07-08 09:31:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0515.html


Note You need to log in before you can comment on or make changes to this bug.